# list-repositories

## Purpose

Lists configured artifact repositories.

## Examples

    griffon list-repositories

## Description

Usage:

    griffon list-repositories

Options:

- `repository` - The name of the repository used to produce the list of available plugins, otherwise all known repositories will be scanned. See the section on Artifact repositories in the user guide.
- `installed` - List only the plugins that are installed into the current Griffon application.

Lists all configured artifact repositories. Note: This command can take a while to execute depending in your internet connectivity. Typical output looks like this:

    Available repositories are listed below:
    -----------------------------------------------------------------------
    Name                Type     Locationgriffon-local       local    $USER_HOME/.griffon/repository
    griffon-central     remote   http://artifacts.griffon-framework.org/
    griffon-legacy      legacy   http://svn.codehaus.org/griffon/plugins/To find more info about available artifacts type    'griffon list-plugins'
        'griffon list-archetypes'For further info visit http://griffon.codehaus.org/

> Note: If you are behind a proxy you may want to consider using the set-proxy command prior to running this command.